Loading...
Searching...
No Matches
Opm::FvBaseConstraintsContext< TypeTag > Class Template Reference

Represents all quantities which available for calculating constraints. More...

`#include <fvbaseconstraintscontext.hh>`

## Public Member Functions

| FvBaseConstraintsContext (const ElementContext &elemCtx)
| The constructor.
const Problem & | problem () const
const Model & | model () const
const GridView & | gridView () const
const Element & | element () const
int | numDof (int timeIdx) const
int | numInteriorFaces (int timeIdx) const
int | globalSpaceIndex (int dofIdx, int timeIdx) const
GlobalPosition | pos (int dofIdx, int timeIdx) const

## Protected Attributes

const ElementContext & | elemCtx_

## Detailed Description

template<class TypeTag>
class Opm::FvBaseConstraintsContext< TypeTag >

Represents all quantities which available for calculating constraints.

## Member Function Documentation

## element()

template<class TypeTag>

const Element & Opm::FvBaseConstraintsContext< TypeTag >::element | ( |  | ) | const

inline

## globalSpaceIndex()

template<class TypeTag>

int Opm::FvBaseConstraintsContext< TypeTag >::globalSpaceIndex | ( | int | dofIdx,
|  | int | timeIdx ) const

inline

## gridView()

template<class TypeTag>

const GridView & Opm::FvBaseConstraintsContext< TypeTag >::gridView | ( |  | ) | const

inline

## model()

template<class TypeTag>

const Model & Opm::FvBaseConstraintsContext< TypeTag >::model | ( |  | ) | const

inline

## numDof()

template<class TypeTag>

int Opm::FvBaseConstraintsContext< TypeTag >::numDof | ( | int | timeIdx | ) | const

inline

## numInteriorFaces()

template<class TypeTag>

int Opm::FvBaseConstraintsContext< TypeTag >::numInteriorFaces | ( | int | timeIdx | ) | const

inline

## pos()

template<class TypeTag>

GlobalPosition Opm::FvBaseConstraintsContext< TypeTag >::pos | ( | int | dofIdx,
|  | int | timeIdx ) const

inline

## problem()

template<class TypeTag>

const Problem & Opm::FvBaseConstraintsContext< TypeTag >::problem | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- opm/models/discretization/common/fvbaseconstraintscontext.hh